

function Main()



	if (Q_屏幕NPC组[1].任务变量 == 0) then  -- 如果[铁匠]的任务变量为0
		
	            系统:提示("<白>   有什么需要购买的吗?")
	            系统:选择("看看商店@看商店","离开@exit")
		
	elseif (Q_屏幕NPC组[1].任务变量 == 1) then  -- 如果[铁匠]的任务变量为1
		
		local 提示内容 = "<红>   " .. Q_主角.名称 .. "<白>,现在有空吗?"
	
		系统:提示(提示内容)
		系统:选择("大叔啊, 什么事呢?@了解","我没空,不好意思!@exit")
		

	elseif (Q_屏幕NPC组[1].任务变量 == 2) then  -- 如果[铁匠]的任务变量为2
		
		系统:提示("<白>   还没去吗?我在等你好消息呢!")
		系统:选择("马上就去@exit")
		
		

	elseif (Q_屏幕NPC组[1].任务变量 == 3) then  -- 如果[铁匠]的任务变量为3


		系统:提示("<白>   怎么样?她答应了吗?")
		系统:选择("告诉他结果@告诉结果")
		

	else 
		
	            系统:提示("<白>   有什么需要购买的吗?")
	            系统:选择("看看商店@看商店","离开@exit")
		
	end 	



end

function 了解()

	local 提示内容 =
[[
<白>   我想请<黄>城北塔楼下的美女<白>吃个饭.你帮我去邀请一#
<白>下吧!
]]

	系统:提示(提示内容)
	系统:选择("好吧!@没问题","你找别人吧@exit")


end



function 没问题()
	
	Q_屏幕NPC组[1].任务标志 = 0  -- 清除自身任务标志
	Q_屏幕NPC组[1].任务变量 = 2
	Q_屏幕NPC组[6].任务变量 = 100  -- 把[首饰商]的任务变量设为100,自定义一个标志,数值随便取.能区分即可. 
	
	
	系统:提示("<白>   太谢谢你了!我等你的好消息!")
	系统:选择("我这就去!@exit")


end




function 告诉结果()

	Q_屏幕NPC组[1].任务标志 = 0  -- 清除自身任务标志
	Q_屏幕NPC组[1].任务变量 = 0
	系统:提示("<白>   好的!我知道了!希望下次她能答应.#<白>这是给你的奖励.")
	系统:选择("嘿嘿,谢谢@exit")
	
	-- 奖励
	系统:增加金币(800)
	系统:增加物品("短剑",1)
end

function 看商店()

	系统:打开商店("龙枪","尚方宝剑","短剑","朴牙刀","斩马刀","月弧刀","金蛇剑","鱼肠剑","大夏龙雀")


--------------------------------------------
end
--------------------------------------------
Main()